Activity (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.Activity interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface Activity

All Superinterfaces:
  ManagedElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  BusinessProcess, BusinessService, Operation, WSOperation

    public interface Activity

extends ManagedElement

Naming Rules:
  0="-owner,-namespace,activityName" 1="owner,activityName"
Persistable:
  true
Table Name:
  ACTIVITY
Display Name:
  activityName

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getActivityName()`
`java.lang.String` | `getNamespace()` The XML namespace used in the definition of this web operation
`OrganizationalEntity` | `getOwner()`
`Activity[]` | `getPrerequisites()`
`ModelObject[]` | `getResources()`
`boolean` | `hasActivityName()`
`boolean` | `hasNamespace()`
`boolean` | `hasOwner()`
`boolean` | `hasPrerequisites()`
`boolean` | `hasResources()`
`void` | `setActivityName(java.lang.String name)`
`void` | `setNamespace(java.lang.String name)`
`void` | `setOwner(OrganizationalEntity owner)`
`void` | `setPrerequisites(Activity[] prereqs)`
`void` | `setResources(ModelObject[] resources)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getActivityName

    java.lang.String getActivityName()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setActivityName

    void setActivityName(java.lang.String name)

### hasActivityName

    boolean hasActivityName()

### getResources

    ModelObject[] getResources()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setResources

    void setResources(ModelObject[] resources)

### hasResources

    boolean hasResources()

### getOwner

    OrganizationalEntity getOwner()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Owns" reverse="true"

### setOwner

    void setOwner(OrganizationalEntity owner)

### hasOwner

    boolean hasOwner()

### getPrerequisites

    Activity[] getPrerequisites()
                                throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.OccursBefore" reverse="false"

### setPrerequisites

    void setPrerequisites(Activity[] prereqs)

### hasPrerequisites

    boolean hasPrerequisites()

### getNamespace

    java.lang.String getNamespace()
                                  throws AttributeNotSetException

  The XML namespace used in the definition of this web operation

  Throws:
    `AttributeNotSetException`

### setNamespace

    void setNamespace(java.lang.String name)

### hasNamespace

    boolean hasNamespace()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD